commit:     81a6f196c627a5224a3785455e1baf33dae19434
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 26 07:00:14 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Oct 26 11:12:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81a6f196

dev-python/aesara: Bump to 2.2.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/aesara/Manifest            |  1 +
 dev-python/aesara/aesara-2.2.4.ebuild | 70 +++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index 2fe2d0f4269..3472183c4e2 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -1,2 +1,3 @@
 DIST aesara-rel-2.2.2.tar.gz 8174668 BLAKE2B 
c95347e8b74f6600c3570177f86b7ebd7511899ed0ceb24a2d79a03a44ee498a8062b92fb79867f59b609f66315704ee92e28e12a5ab600d54d0d35ef799b66b
 SHA512 
d5f62e42c36100b2fd25eba492590eb306b1394aa01bf2e90d43e84ac67701e5b756be6bc08d0e6b82fb1f37689dbbba1d7ef67c8525555a700a634d742056bb
 DIST aesara-rel-2.2.3.tar.gz 8179701 BLAKE2B 
53ef58d6f0ab33e7efe3d0eaa2b55153a2ab29c958b48f52f814fecf7f5fa65424465470cde0ebb8d2ef1ced6968fd01217d9f7bd61acc8843cde1a9c0a94cbe
 SHA512 
21414230c0be2c31e08fd371ee69c3bb7098b2134a5aec006abeca00a333e025fcbfd10ebdcbf54d243e1bc8c45f301a2c3443531ba5eaf0fe3a1ac5645ae4f5
+DIST aesara-rel-2.2.4.tar.gz 8180599 BLAKE2B 
2b5e6ce0b0cbf0405d312f5b7c842057f05378c240c4dd36818c1b9d1b57667494c2472537e039ab16fac702a30a692bba5c8d5fc8801eb0c7e492d7f8e059b3
 SHA512 
3e0fe0cfa37f3b597ab94778dca60368aedbf9df79b4bb79812a190d77743addd1ddf5f234bf62c2dd744054204f03b84b358d0c58c27c28829b8fbe919bd151

diff --git a/dev-python/aesara/aesara-2.2.4.ebuild 
b/dev-python/aesara/aesara-2.2.4.ebuild
new file mode 100644
index 00000000000..86721797fe0
--- /dev/null
+++ b/dev-python/aesara/aesara-2.2.4.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with 
multi-dimensional arrays"
+HOMEPAGE="https://github.com/aesara-devs/aesara";
+SRC_URI="https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz -> 
${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+       dev-python/filelock[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/scipy[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? (
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -i -e "s/tests.\*/tests\*/" setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local exclude=(
+               # speed tests are unreliable
+               tests/scan/test_basic.py::test_speed
+               tests/scan/test_basic.py::test_speed_rnn
+               tests/scan/test_basic.py::test_speed_batchrnn
+               tests/link/test_vm.py::test_speed
+               tests/link/test_vm.py::test_speed_lazy
+               tests/tensor/test_gc.py::test_merge_opt_runtime
+
+               # rounding problem?
+               # https://github.com/aesara-devs/aesara/issues/477
+               tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+               
tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+       )
+
+       distutils_install_for_testing
+       # we do not package numba
+       epytest ${exclude[@]/#/--deselect } \
+               --ignore tests/link/test_numba.py \
+               -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+# 
https://dev.gentoo.org/~mgorny/python-guide/concept.html#packaging-pkgutil-style-namespaces-in-gentoo
+python_install() {
+       rm "${BUILD_DIR}"/lib/bin/__init__.py || die
+       distutils-r1_python_install
+}
+
+pkg_postinst() {
+       optfeature "GPU code generation/execution on NVIDIA gpus" 
dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+       optfeature "GPU/CPU code generation on CUDA and OpenCL devices" 
dev-libs/libgpuarray dev-python/pycuda
+}

Reply via email to